<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.PrTheorypowerDataMapper">
    
    <resultMap type="PrTheorypowerData" id="PrTheorypowerDataResult">
        <result property="windplantNo"    column="windplant_no"    />
        <result property="projectNo"    column="project_no"    />
        <result property="dataTime"    column="data_time"    />
        <result property="theorypower"    column="theorypower"    />
        <result property="availablepower"    column="availablepower"    />
        <result property="isLimit"    column="is_limit"    />
        <result property="dataFlag"    column="data_flag"    />
    </resultMap>

    <sql id="selectPrTheorypowerDataVo">
        select windplant_no, project_no, data_time, theorypower, availablepower, is_limit, data_flag from pr_theorypower_data
    </sql>

    <select id="selectPrTheorypowerDataList" parameterType="PrTheorypowerData" resultMap="PrTheorypowerDataResult">
        <include refid="selectPrTheorypowerDataVo"/>
        <where>
            <if test="windplantNo != null ">and windplant_no = #{windplantNo}</if>
            <if test="projectNo != null ">and project_no = #{projectNo}</if>
            <if test="theorypower != null "> and theorypower = #{theorypower}</if>
            <if test="availablepower != null "> and availablepower = #{availablepower}</if>
            <if test="isLimit != null "> and is_limit = #{isLimit}</if>
            <if test="dataFlag != null "> and data_flag = #{dataFlag}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and data_time between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
            <if test="dataTime != null ">and data_time = #{dataTime}</if>
        </where>
    </select>
    
    <select id="selectPrTheorypowerDataById" parameterType="Long" resultMap="PrTheorypowerDataResult">
        <include refid="selectPrTheorypowerDataVo"/>
        where windplant_no = #{windplantNo}
    </select>

    <select id="selectPrTheorypowerData" parameterType="PrTheorypowerData" resultMap="PrTheorypowerDataResult">
        <include refid="selectPrTheorypowerDataVo"/>
        where windplant_no = #{windplantNo} and project_no = #{projectNo} and data_time > #{dataTime}
    </select>

</mapper>